* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  touch-action: manipulation;
}

body {
  width: 100%;
  height: 100vh;
  background: linear-gradient(45deg, white, #e0ffff);
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
}

.wrap {
  width: 100%;
  height: 100%;
  overflow: auto;
  font-size: 16px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
.wrap .container {
  width: 94%;
  max-width: 640px;
  height: 90%;
  margin: 0px auto;
  padding: 10px;
  background-color: #fffffe;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 2px #999;
  border-radius: 5px;
}
.wrap .container button {
  display: block;
  width: 80%;
  max-width: 280px;
  min-height: 50px;
  font-size: 1.3em;
  background-color: #1565c0;
  border: 1px solid #1565c0;
  color: #fff;
  margin: 0 auto;
  padding: 6px 12px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.2s;
}
.wrap .container button:focus {
  background-color: #1e88e5;
  border-color: #1e88e5;
}
.wrap .container button:active {
  background-color: #0d47a1;
  border-color: #0d47a1;
}
.wrap .container button:disabled {
  opacity: 0.65;
  pointer-events: none;
}
.wrap .container .startArea {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  opacity: 0;
  transform: scale(0);
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .startArea.show {
  opacity: 1;
  transform: none;
}
.wrap .container .startArea.hide {
  display: none;
}
.wrap .container .startArea h1 {
  margin: 80px 0 40px;
  font-weight: 400;
  font-size: 1.6em;
  line-height: 1.8;
}
.wrap .container .startArea .quizNumForm {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 50px;
}
.wrap .container .startArea .quizNumForm .form-check {
  margin: 0 10px;
  font-size: 1.2em;
}
.wrap .container .startArea .quizNumForm .form-check .form-check-input,
.wrap .container .startArea .quizNumForm .form-check label {
  cursor: pointer;
}
.wrap .container .quizWrap {
  width: 100%;
  height: 100%;
  overflow: auto;
  opacity: 0;
  transform: scale(0);
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .quizWrap.show {
  opacity: 1;
  transform: none;
}
.wrap .container .quizWrap.hide {
  display: none;
}
.wrap .container .quizWrap .quizTitle {
  width: 100%;
  font-size: 1.1em;
  margin-bottom: 30px;
  padding: 10px;
  border-bottom: 1px solid #ccc;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.wrap .container .quizWrap .quizTitle .quizNum {
  color: #666;
}
.wrap .container .quizWrap .quizArea {
  width: 100%;
  opacity: 0;
  transform: scale(0);
  transform-origin: bottom;
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .quizWrap .quizArea.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .quizArea.hide {
  display: none;
}
.wrap .container .quizWrap .quizArea .questionArea {
  font-size: 1.8em;
  margin-bottom: 20px;
}
.wrap .container .quizWrap .quizArea .choiceList {
  width: 94%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  font-size: 1.3em;
}
.wrap .container .quizWrap .quizArea .choiceList button {
  flex: 1 1 45%;
  background-color: #fff;
  color: #000;
  border: 2px solid #1565c0;
  border-radius: 5px;
  padding: 10px;
}
.wrap .container .quizWrap .quizArea .choiceList button:focus {
  color: #fff;
  background-color: #1e88e5;
}
.wrap .container .quizWrap .quizArea .choiceList button:active {
  color: #fff;
  background-color: #0d47a1;
}
.wrap .container .quizWrap .judgeArea {
  width: 90%;
  max-width: 480px;
  min-height: 320px;
  margin: 0 auto 30px;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 2px #999;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transform: scale(0);
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .quizWrap .judgeArea.show {
  opacity: 1;
  transform: none;
}
.wrap .container .quizWrap .judgeArea.hide {
  display: none;
}
.wrap .container .quizWrap .judgeArea .judgeText {
  font-size: 1.8em;
  margin-bottom: 30px;
  padding: 4px 12px;
}
.wrap .container .quizWrap .judgeArea .judgeText.correct {
  background-color: #1e88e5;
  color: #fff;
}
.wrap .container .quizWrap .judgeArea .judgeText.incorrect {
  background-color: #cce6fb;
  color: #333;
}
.wrap .container .quizWrap .judgeArea .correctArea {
  margin-bottom: 40px;
}
.wrap .container .quizWrap .judgeArea .correctArea .questionText {
  font-size: 1.4em;
  margin-bottom: 10px;
}
.wrap .container .quizWrap .judgeArea .correctArea .correctText {
  font-size: 2em;
}
.wrap .container .quizWrap .resultArea {
  width: 90%;
  max-width: 480px;
  min-height: 320px;
  margin: 0 auto;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 2px #999;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transform: scale(0);
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .quizWrap .resultArea.show {
  opacity: 1;
  transform: none;
}
.wrap .container .quizWrap .resultArea.hide {
  display: none;
}
.wrap .container .quizWrap .resultArea .resultMsg {
  margin-bottom: 20px;
  font-size: 1.8em;
}